newCollection.Niche {galgo} | R Documentation

## Generates a list of cloned niches

### Description

Generates a list of cloned niches. It only use the generic newCollection method.

### Usage

    ## S3 method for class 'Niche'
    newCollection(.O, ...)

### Arguments

`n` | Number of object clones.

### Value

Returns a list with cloned objects. The names are build with the class and a consecutive number.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `unObject`, `as.list.Object`, `newCollection.Niche`, `newRandomCollection.Niche`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni
      newCollection(ni, 2)                  # list of two new identical Niche objects
      newRandomCollection(ni, 2)            # list of two new different Niche objects

[Package galgo version 1.4 Index]